Bug 394035 - "open wallpaper image" from desktop RMB menu does not work
Summary: "open wallpaper image" from desktop RMB menu does not work
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Desktop Containment (show other bugs)
Version: master
Platform: Kubuntu Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-09 08:55 UTC by Oded Arbel
Modified: 2018-05-15 22:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oded Arbel 2018-05-09 08:55:41 UTC
Installed plasmashell 4:5.12.80+p18.04+git20180509.0306-0 from Kubuntu-CI's unstable PPA

With the desktop wallpaper configured for "Slideshow", right clicking an empty desktop area and selecting "Open wallpaper image" from the menu, nothing happens.

The following line appears in plasmashell console:

file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:49: ReferenceError: currentImage is not defined

Looking at org.kde.slideshow's mail.qml, if I replace line 49 from 

Qt.openUrlExternally(currentImage.source)

to

Qt.openUrlExternally(modelImage)

Seems to solve the problem.
Comment 1 Oded Arbel 2018-05-09 09:35:14 UTC
Created phbricator issue https://phabricator.kde.org/D12777
Comment 2 Nate Graham 2018-05-15 22:31:13 UTC
Git commit 69a0e05bc54d0488c18bc2f0aad2e310eb581825 by Nathaniel Graham, on behalf of Oded Arbel.
Committed on 15/05/2018 at 22:31.
Pushed by ngraham into branch 'master'.

Fixed access to current slideshow image using correct field in action_open

Summary:
With slideshow desktop wallpaper plugin, selecting "Open wallpaper Image" from RMB does nothing. It looks like the `action_open` method called by the RMB menu action is using an old field that no longer exists.

The patch updates the code to use the correct field.

Reviewers: #plasma_workspaces, ngraham, broulik

Reviewed By: #plasma_workspaces, ngraham, broulik

Subscribers: broulik, ngraham, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D12777

M  +1    -1    wallpapers/image/imagepackage/contents/ui/main.qml

https://commits.kde.org/plasma-workspace/69a0e05bc54d0488c18bc2f0aad2e310eb581825